### Function

# Cogl program_attach_shader

deprecated: 1.16 since: 13

#### Declaration [src]

    void
    cogl_program_attach_shader (
      CoglHandle program_handle,
      CoglHandle shader_handle
    )

#### Description [src]

Attaches a shader to a program object. A program can have multiple vertex or fragment shaders but only one of them may provide a `main()` function. It is allowed to use a program with only a vertex shader or only a fragment shader.

Available since: 13

Deprecated since: 1.16

Use `CoglSnippet` api.

#### Parameters

`program_handle`

  Type: `CoglHandle`

  A `CoglHandle` for a shdaer program.

`shader_handle`

  Type: `CoglHandle`

  A `CoglHandle` for a vertex of fragment shader.